APERTIUM-DESLATEX(1)

NAME
apertium-deslatex - LaTeX format processor for Apertium

SYNOPSIS
apertium-deslatex [-hin] [input_file [output_file]]

DESCRIPTION
This tool is part of the Apertium open-source machine translation toolbox: https://apertium.org/.

The apertium-deslatex filter preprocesses apertium-prelatex(1) output to a deformatted “XMLish” LaTeX custom format. The output is suitable for processing with lt-proc(1). Format information (newlines, tabs, etc.) is enclosed in brackets so that lt-proc(1) treats it as whitespace between words.

OPTIONS

-h, - -help
    Display this help.

-i  Makes the addition of trailing sentence terminator (‘’). unconditional, often leading to duplicates.

-n  Suppresses the addition of a trailing sentence terminator.

EXAMPLES
You could write the following to show how the word “gener” is analysed:
    echo "<textit/><CONTENTS>gener</CONTENTS>" | apertium-deslatex | lt-proc ca-es.automorf.bin

SEE ALSO
apertium(1), apertium-destxt(1), apertium-postlatex(1), apertium-postlatex-raw(1), apertium-prelatex(1), apertium-relatex(1), lt-proc(1)

COPYRIGHT
Copyright © 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Complicated constructions in LaTeX (e.g., custom defined tags) are not (yet) supported.